<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateQueryReplyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('query_reply', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('query_id')->nullable();
            $table->text('query_reply');
            $table->bigInteger('replied_by');
            $table->tinyInteger('status')->default('0');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('query_reply');
    }
}
